> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asns



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/asn
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/asn:
    get:
      tags:
        - service - asn
      summary: Get Asns
      operationId: get_asns_service__tenant_name__asn_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBASN_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_NBASN_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBASN'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBASN]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBASN:
      properties:
        id:
          type: integer
          title: Id
        uuid:
          type: string
          format: uuid
          title: Uuid
        tenant_name:
          type: string
          title: Tenant Name
        asn:
          type: integer
          title: Asn
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        approved:
          type: boolean
          title: Approved
          default: false
        user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: User Name
        group_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Name
        peer_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Peer Password
        ipv4_prefix_list:
          items:
            type: string
          type: array
          title: Ipv4 Prefix List
          default: []
        ipv6_prefix_list:
          items:
            type: string
          type: array
          title: Ipv6 Prefix List
          default: []
        enriched_data:
          anyOf:
            - type: string
            - type: 'null'
          title: Enriched Data
        labels:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Labels
      type: object
      required:
        - id
        - uuid
        - tenant_name
        - asn
      title: NBASN
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````